# frozen_string_literal: true

module Commissionwork
  class User < ApplicationRecord
    validates :firstName, :lastName, :userName, :phoneNumber, :userRole, presence: true
    validates :userRole, inclusion: { in: %w[admin client backOfficeWorker] }
    validates :firstName, :lastName, length: { minimum: 3 }
    validates :firstName, :lastName, length: { maximum: 20 }
    has_many :commissionwork_subscription_codes, class_name: 'Commissionwork::SubscriptionCode'
    has_many :commissionwork_supplier_codes, class_name: 'Commissionwork::SupplierCode'
  end
end
