# frozen_string_literal: true

module Commissionwork
  class Engine < ::Rails::Engine
    isolate_namespace Commissionwork

    config.generators.api_only = true

    config.generators do |g|
      g.test_framework :rspec
      g.fixture_replacement :factory_bot
      g.factory_bot dir: 'spec/factories'
    end

    initializer 'commissionwork.factories', after: 'factory_bot.set_factory_paths' do
      if defined?(FactoryBot)
        FactoryBot.definition_file_paths << File.expand_path('../../spec/factories', __dir__)
      end
    end
  end
end
